Subject: Re: bug#6159: 23.2; c++ parenthesis matching problem

From: Alan Mackenzie <[email-masked]>
Date: Tue, 11 May 2010 16:57:58 +0000

Hi, Ertan,

On Mon, May 10, 2010 at 11:58:00AM -0700, Ertan Dogrultan wrote:
> I do C++ programming on Emacs. When I call methods of a class from an
> object pointer and write like object->get_value(); The sign '>' is
> considered like parenthesis and causes indentation mistakes, although
> the program compiles and executes without any problems. 

this is a known problem with C++.  It takes semantic analysis (i.e. a
compiler) reliably to distinguish between "greater than" and "close
template".  However, there are improvements to this being worked on.

Is there any chance you could supply a preferably small but complete
piece of source code which illustrates the problem?  Does the bug happen
with every -> operator, or only in certain circumstances?

> Ertan

-- 
Alan Mackenzie (Nuremberg, Germany).